Issue a license
curl --request POST \
--url https://api.omnichar.org/v1/licenses \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"char_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"scope": {
"use": "<string>",
"media": [],
"territories": [],
"allow_list": [],
"max_generations": 50000000
},
"starts_at": "2023-11-07T05:31:56Z",
"ends_at": "2023-11-07T05:31:56Z",
"licensee_team_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"licensee_team_slug": "<string>",
"licensee_email": "jsmith@example.com",
"label": "<string>",
"provider_license_ref": "<string>"
}
'import requests
url = "https://api.omnichar.org/v1/licenses"
payload = {
"char_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"scope": {
"use": "<string>",
"media": [],
"territories": [],
"allow_list": [],
"max_generations": 50000000
},
"starts_at": "2023-11-07T05:31:56Z",
"ends_at": "2023-11-07T05:31:56Z",
"licensee_team_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"licensee_team_slug": "<string>",
"licensee_email": "jsmith@example.com",
"label": "<string>",
"provider_license_ref": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
char_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
scope: {
use: '<string>',
media: [],
territories: [],
allow_list: [],
max_generations: 50000000
},
starts_at: '2023-11-07T05:31:56Z',
ends_at: '2023-11-07T05:31:56Z',
licensee_team_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
licensee_team_slug: '<string>',
licensee_email: 'jsmith@example.com',
label: '<string>',
provider_license_ref: '<string>'
})
};
fetch('https://api.omnichar.org/v1/licenses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.omnichar.org/v1/licenses",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'char_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'scope' => [
'use' => '<string>',
'media' => [
],
'territories' => [
],
'allow_list' => [
],
'max_generations' => 50000000
],
'starts_at' => '2023-11-07T05:31:56Z',
'ends_at' => '2023-11-07T05:31:56Z',
'licensee_team_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'licensee_team_slug' => '<string>',
'licensee_email' => 'jsmith@example.com',
'label' => '<string>',
'provider_license_ref' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.omnichar.org/v1/licenses"
payload := strings.NewReader("{\n \"char_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"scope\": {\n \"use\": \"<string>\",\n \"media\": [],\n \"territories\": [],\n \"allow_list\": [],\n \"max_generations\": 50000000\n },\n \"starts_at\": \"2023-11-07T05:31:56Z\",\n \"ends_at\": \"2023-11-07T05:31:56Z\",\n \"licensee_team_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"licensee_team_slug\": \"<string>\",\n \"licensee_email\": \"jsmith@example.com\",\n \"label\": \"<string>\",\n \"provider_license_ref\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.omnichar.org/v1/licenses")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"char_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"scope\": {\n \"use\": \"<string>\",\n \"media\": [],\n \"territories\": [],\n \"allow_list\": [],\n \"max_generations\": 50000000\n },\n \"starts_at\": \"2023-11-07T05:31:56Z\",\n \"ends_at\": \"2023-11-07T05:31:56Z\",\n \"licensee_team_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"licensee_team_slug\": \"<string>\",\n \"licensee_email\": \"jsmith@example.com\",\n \"label\": \"<string>\",\n \"provider_license_ref\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.omnichar.org/v1/licenses")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"char_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"scope\": {\n \"use\": \"<string>\",\n \"media\": [],\n \"territories\": [],\n \"allow_list\": [],\n \"max_generations\": 50000000\n },\n \"starts_at\": \"2023-11-07T05:31:56Z\",\n \"ends_at\": \"2023-11-07T05:31:56Z\",\n \"licensee_team_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"licensee_team_slug\": \"<string>\",\n \"licensee_email\": \"jsmith@example.com\",\n \"label\": \"<string>\",\n \"provider_license_ref\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"key": "<string>",
"kind": "secret",
"label": "<string>",
"env": "production",
"status": "active",
"char_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"provider_team_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"licensee_team_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"provider_license_ref": "<string>",
"scope": {},
"scope_version": 0,
"starts_at": "2023-11-07T05:31:56Z",
"ends_at": "2023-11-07T05:31:56Z",
"signature": "<string>",
"kid": "<string>",
"revoked_reason": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"secret": "<string>"
}Licenses
Issue a license
POST
/
v1
/
licenses
Issue a license
curl --request POST \
--url https://api.omnichar.org/v1/licenses \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"char_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"scope": {
"use": "<string>",
"media": [],
"territories": [],
"allow_list": [],
"max_generations": 50000000
},
"starts_at": "2023-11-07T05:31:56Z",
"ends_at": "2023-11-07T05:31:56Z",
"licensee_team_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"licensee_team_slug": "<string>",
"licensee_email": "jsmith@example.com",
"label": "<string>",
"provider_license_ref": "<string>"
}
'import requests
url = "https://api.omnichar.org/v1/licenses"
payload = {
"char_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"scope": {
"use": "<string>",
"media": [],
"territories": [],
"allow_list": [],
"max_generations": 50000000
},
"starts_at": "2023-11-07T05:31:56Z",
"ends_at": "2023-11-07T05:31:56Z",
"licensee_team_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"licensee_team_slug": "<string>",
"licensee_email": "jsmith@example.com",
"label": "<string>",
"provider_license_ref": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
char_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
scope: {
use: '<string>',
media: [],
territories: [],
allow_list: [],
max_generations: 50000000
},
starts_at: '2023-11-07T05:31:56Z',
ends_at: '2023-11-07T05:31:56Z',
licensee_team_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
licensee_team_slug: '<string>',
licensee_email: 'jsmith@example.com',
label: '<string>',
provider_license_ref: '<string>'
})
};
fetch('https://api.omnichar.org/v1/licenses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.omnichar.org/v1/licenses",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'char_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'scope' => [
'use' => '<string>',
'media' => [
],
'territories' => [
],
'allow_list' => [
],
'max_generations' => 50000000
],
'starts_at' => '2023-11-07T05:31:56Z',
'ends_at' => '2023-11-07T05:31:56Z',
'licensee_team_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'licensee_team_slug' => '<string>',
'licensee_email' => 'jsmith@example.com',
'label' => '<string>',
'provider_license_ref' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.omnichar.org/v1/licenses"
payload := strings.NewReader("{\n \"char_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"scope\": {\n \"use\": \"<string>\",\n \"media\": [],\n \"territories\": [],\n \"allow_list\": [],\n \"max_generations\": 50000000\n },\n \"starts_at\": \"2023-11-07T05:31:56Z\",\n \"ends_at\": \"2023-11-07T05:31:56Z\",\n \"licensee_team_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"licensee_team_slug\": \"<string>\",\n \"licensee_email\": \"jsmith@example.com\",\n \"label\": \"<string>\",\n \"provider_license_ref\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.omnichar.org/v1/licenses")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"char_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"scope\": {\n \"use\": \"<string>\",\n \"media\": [],\n \"territories\": [],\n \"allow_list\": [],\n \"max_generations\": 50000000\n },\n \"starts_at\": \"2023-11-07T05:31:56Z\",\n \"ends_at\": \"2023-11-07T05:31:56Z\",\n \"licensee_team_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"licensee_team_slug\": \"<string>\",\n \"licensee_email\": \"jsmith@example.com\",\n \"label\": \"<string>\",\n \"provider_license_ref\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.omnichar.org/v1/licenses")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"char_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"scope\": {\n \"use\": \"<string>\",\n \"media\": [],\n \"territories\": [],\n \"allow_list\": [],\n \"max_generations\": 50000000\n },\n \"starts_at\": \"2023-11-07T05:31:56Z\",\n \"ends_at\": \"2023-11-07T05:31:56Z\",\n \"licensee_team_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"licensee_team_slug\": \"<string>\",\n \"licensee_email\": \"jsmith@example.com\",\n \"label\": \"<string>\",\n \"provider_license_ref\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"key": "<string>",
"kind": "secret",
"label": "<string>",
"env": "production",
"status": "active",
"char_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"provider_team_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"licensee_team_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"provider_license_ref": "<string>",
"scope": {},
"scope_version": 0,
"starts_at": "2023-11-07T05:31:56Z",
"ends_at": "2023-11-07T05:31:56Z",
"signature": "<string>",
"kid": "<string>",
"revoked_reason": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"secret": "<string>"
}Authorizations
Body
application/json
Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$Response
201 - application/json
Default Response
Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$Was this page helpful?